This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 16:50
Elapsed6m47s
Revision
Builder8a1424ac-736f-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/0497cf4f-2307-4046-ade7-31225edb725e/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/0497cf4f-2307-4046-ade7-31225edb725e/targets/test
infra-commit731ceaf01

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 16:50:04.730] process 30 exited with code 0 after 0.0m
I0331 16:50:04.731] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 16:50:04.731] Root: /workspace
I0331 16:50:04.731] cd to /workspace
I0331 16:50:04.731] Configure environment...
I0331 16:50:04.731] Call:  git show -s --format=format:%ct HEAD
W0331 16:50:04.735] fatal: not a git repository (or any of the parent directories): .git
I0331 16:50:04.735] process 43 exited with code 128 after 0.0m
W0331 16:50:04.736] Unable to print commit date for HEAD
I0331 16:50:04.736] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 16:50:05.208] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 16:50:06.075] process 44 exited with code 0 after 0.0m
I0331 16:50:06.075] Call:  gcloud config get-value account
I0331 16:50:06.914] process 57 exited with code 0 after 0.0m
I0331 16:50:06.914] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 16:50:06.914] Start 1245030477874597888 at ...
I0331 16:50:06.916] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_fQrt1K gs://kubernetes-jenkins/logs/metrics-kettle/1245030477874597888/started.json
I0331 16:50:09.233] process 70 exited with code 0 after 0.0m
I0331 16:50:09.233] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 16:50:09.259] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 16:56:42.443] ERROR: table k8s-gubernator:build.all is 9.8 hours old. Max allowed: 6 hours.
I0331 16:56:42.444] ERROR: table k8s-gubernator:build.week is 10.1 hours old. Max allowed: 6 hours.
I0331 16:56:42.444] ERROR: table k8s-gubernator:build.day is 9.6 hours old. Max allowed: 6 hours.
I0331 16:56:42.444] Collected data:
I0331 16:56:42.444] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 16:56:42.445] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 16:56:42.445] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 16:56:42.445] 
W0331 16:56:42.505] Traceback (most recent call last):
... skipping 22 lines ...
W0331 16:56:42.509]     self.send(msg)
W0331 16:56:42.509]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 16:56:42.509]     self.connect()
W0331 16:56:42.509]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 16:56:42.509]     conn = self._new_conn()
W0331 16:56:42.510]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 16:56:42.510]     self, "Failed to establish a new connection: %s" % e
W0331 16:56:42.510] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f1827733da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 16:56:42.510] 
W0331 16:56:42.510] During handling of the above exception, another exception occurred:
W0331 16:56:42.510] 
W0331 16:56:42.510] Traceback (most recent call last):
W0331 16:56:42.511]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 16:56:42.511]     timeout=timeout
W0331 16:56:42.511]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 16:56:42.511]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 16:56:42.511]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 16:56:42.511]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 16:56:42.512] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f1827733da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 16:56:42.512] 
W0331 16:56:42.512] During handling of the above exception, another exception occurred:
W0331 16:56:42.512] 
W0331 16:56:42.512] Traceback (most recent call last):
W0331 16:56:42.512]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 16:56:42.512]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 16:56:42.514]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 16:56:42.514]     resp = self.send(prep, **send_kwargs)
W0331 16:56:42.514]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 16:56:42.514]     r = adapter.send(request, **kwargs)
W0331 16:56:42.514]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 16:56:42.514]     raise ConnectionError(e, request=request)
W0331 16:56:42.515] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f1827733da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 16:56:42.515] Traceback (most recent call last):
W0331 16:56:42.515]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 16:56:42.515]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 16:56:42.515]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 16:56:42.515]     check(*cmd)
W0331 16:56:42.515]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 16:56:42.516]     subprocess.check_call(cmd)
W0331 16:56:42.516]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 16:56:42.516]     raise CalledProcessError(retcode, cmd)
W0331 16:56:42.516] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 16:56:42.516] Command failed
I0331 16:56:42.516] process 252 exited with code 1 after 6.6m
E0331 16:56:42.516] FAIL: metrics-kettle
I0331 16:56:42.517] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 16:56:42.974] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 16:56:43.586] process 256 exited with code 0 after 0.0m
I0331 16:56:43.586] Call:  gcloud config get-value account
I0331 16:56:44.483] process 268 exited with code 0 after 0.0m
I0331 16:56:44.483] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 16:56:44.483] Upload result and artifacts...
I0331 16:56:44.483] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245030477874597888
W0331 16:56:44.484] Missing local artifacts : /workspace/_artifacts
W0331 16:56:44.484] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 16:56:44.484] metadata not found or invalid, init with empty metadata
I0331 16:56:44.484] Call:  git rev-parse HEAD
W0331 16:56:44.487] fatal: not a git repository (or any of the parent directories): .git
E0331 16:56:44.487] Command failed
I0331 16:56:44.488] process 281 exited with code 128 after 0.0m
I0331 16:56:44.488] Call:  git rev-parse HEAD
I0331 16:56:44.491] process 282 exited with code 0 after 0.0m
I0331 16:56:44.492] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 16:56:45.867] process 283 exited with code 0 after 0.0m
I0331 16:56:45.868] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585670135944724'
... skipping 8 lines ...